﻿IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'COUPONMASTER' AND COLUMN_NAME = 'COUPONID' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_COUPONMASTER_COUPONID')
BEGIN 
    PRINT 'Creating default constraint DF_COUPONMASTER_COUPONID on table COUPONMASTER' 
    ALTER TABLE [dbo].[COUPONMASTER]
    ADD CONSTRAINT [DF_COUPONMASTER_COUPONID] DEFAULT ('') FOR [COUPONID]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'COUPONMASTER' AND COLUMN_NAME = 'DESCRIPTION' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_COUPONMASTER_DESCRIPTION')
BEGIN 
    PRINT 'Creating default constraint DF_COUPONMASTER_DESCRIPTION on table COUPONMASTER' 
    ALTER TABLE [dbo].[COUPONMASTER]
    ADD CONSTRAINT [DF_COUPONMASTER_DESCRIPTION] DEFAULT ('COUPON') FOR [DESCRIPTION]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'COUPONMASTER' AND COLUMN_NAME = 'STOREGEN' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_COUPONMASTER_STOREGEN')
BEGIN 
    PRINT 'Creating default constraint DF_COUPONMASTER_STOREGEN on table COUPONMASTER' 
    ALTER TABLE [dbo].[COUPONMASTER]
    ADD CONSTRAINT [DF_COUPONMASTER_STOREGEN] DEFAULT ((0)) FOR [STOREGEN]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'COUPONMASTER' AND COLUMN_NAME = 'EXCCOUPON' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_COUPONMASTER_EXCCOUPON')
BEGIN 
    PRINT 'Creating default constraint DF_COUPONMASTER_EXCCOUPON on table COUPONMASTER' 
    ALTER TABLE [dbo].[COUPONMASTER]
    ADD CONSTRAINT [DF_COUPONMASTER_EXCCOUPON] DEFAULT ((0)) FOR [EXCCOUPON]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'COUPONMASTER' AND COLUMN_NAME = 'COLLECTINFO' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_COUPONMASTER_COLLECTINFO')
BEGIN 
    PRINT 'Creating default constraint DF_COUPONMASTER_COLLECTINFO on table COUPONMASTER' 
    ALTER TABLE [dbo].[COUPONMASTER]
    ADD CONSTRAINT [DF_COUPONMASTER_COLLECTINFO] DEFAULT ((0)) FOR [COLLECTINFO]
END 
GO

